System.Core 4.0.0.0 System.Object System.IEquatable<System.Security.Cryptography.CngAlgorithmGroup>

The class is a utility class. It consists of static properties, comparison methods, and a private, internally maintained string that defines an algorithm group name.

The static properties return objects. Each object's internal string is initialized to the algorithm group name that corresponds to the name of the static property.

You can also use this class to create objects for algorithm groups that are not covered by the static properties.

Several Cryptography Next Generation (CNG) classes (such as ) return objects. Classes that receive objects can retrieve the embedded algorithm group name by calling the object's property.

Therefore, serves as an enumeration of well-known algorithm groups. It lets you specify an algorithm group name by using a strongly typed value instead of a string.

Encapsulates the name of an encryption algorithm group.

- Constructor
  4.0.0.0

  Instances of the class internally maintain the algorithm group name that is specified by the parameter.

  The primary purpose of this constructor is to provide a method for creating objects for algorithm groups that are not represented by the static properties of the class. This capacity enables future dnprdnshort releases, service packs, and third-party developers to add new algorithm groups, which can be accessed just like the algorithm groups that are currently available.

  Initializes a new instance of the class.

  The name of the algorithm group to initialize.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the algorithm group that the current object specifies.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithmGroup To be added. To be added.

  Gets a object that specifies the Diffie-Hellman family of algorithms.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithmGroup To be added. To be added.

  Gets a object that specifies the Digital Signature Algorithm (DSA) family of algorithms.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithmGroup To be added. To be added.

  Gets a object that specifies the Elliptic Curve Diffie-Hellman (ECDH) family of algorithms.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithmGroup To be added. To be added.

  Gets a object that specifies the Elliptic Curve Digital Signature Algorithm (ECDSA) family of algorithms.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Compares the specified object to the current object.

  true if the parameter is a that specifies the same algorithm group as the current object; otherwise, false.

  An object to be compared to the current object.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Compares the specified object to the current object.

  true if the parameter specifies the same algorithm group as the current object; otherwise, false.

  An object to be compared to the current object.
- Method
  4.0.0.0
  System.Int32 To be added.

  Generates a hash value for the algorithm group name that is embedded in the current object.

  The hash value of the embedded algorithm group name.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two objects specify the same algorithm group.

  true if the two objects specify the same algorithm group; otherwise, false.

  An object that specifies an algorithm group. A second object, to be compared to the object that is identified by the parameter.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two objects do not specify the same algorithm group.

  true if the two objects do not specify the same algorithm group; otherwise, false.

  An object that specifies an algorithm group. A second object, to be compared to the object that is identified by the parameter.
- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithmGroup To be added. To be added.

  Gets a object that specifies the Rivest-Shamir-Adleman (RSA) family of algorithms.

- Method
  4.0.0.0
  System.String To be added.

  Gets the name of the algorithm group that the current object specifies.

  The embedded algorithm group name.